package repository

import (
	"fmt"
	"gorm.io/driver/postgres"
	"gorm.io/gorm"
	loglevel "gorm.io/gorm/logger"
	"mylomen_server/common/config"
	"mylomen_server/common/logs"
	"testing"
)

func TestPg(t *testing.T) {
	// unmarshal config
	ll := logs.NewZapLogger()

	if config.Instance.PgSql.LogSql {
		ll = ll.LogMode(loglevel.Info)
	} else {
		ll = ll.LogMode(loglevel.Warn)
	}
	// 创建一个 gorm.DB 类型的变量
	var db *gorm.DB
	// 调用 Open 方法，传入驱动名和连接字符串
	db, err := gorm.Open(postgres.Open("postgres://postgres:zym520!@123.207.198.132:15432/mylomen_user"), &gorm.Config{
		Logger:                 ll,
		SkipDefaultTransaction: true,
	})
	// 检查是否有错误
	if err != nil {
		fmt.Println("连接数据库失败：", err)
		return
	}

	var total int
	db.Raw("select max(id) from user_base").Scan(&total)
	// 打印成功信息
	fmt.Println("连接数据库成功", total)

}
